WordPress 5.5.1 corrige millones de sitios rotos

WordPress está publicando una versión de mantenimiento que corrige problemas que dañaron millones de sitios web.

WordPress publicó nueva información que describe por qué WordPress 5.5 afectó negativamente a millones de sitios web, una cantidad asombrosa.

WordPress está publicando una versión de mantenimiento, la versión 5.5.1.

Está diseñado para servir como parche para dar tiempo a los desarrolladores de complementos y temas para actualizar su software.

El anuncio sobre lo que salió mal vinculado a una hoja de cálculo que nombra cientos de complementos y temas que se vieron afectados.

La hoja de cálculo también indica cuál es el problema específico de cada complemento y tema, lo que ayudará a los desarrolladores de software a corregir sus complementos y temas.

La versión de mantenimiento de WordPress 5.5.1 está diseñada para evitar que los sitios se rompan.

Pero los errores aún deberán corregirse. WordPress describió el problema de esta manera:

“En WordPress 5.5, los objetos de JavaScript globales que se enumeran a continuación se eliminaron sin quedar obsoletos. WordPress 5.5.1 agrega un backfill para estos globales para que ya no causen errores de JavaScript”.

Los desarrolladores de complementos y temas tienen hasta marzo de 2021 para parchear el código. No parchear el código resultará en otra ronda de fallas en el sitio.

Según WordPress:

“El plan es eliminar este código de reserva en dos versiones principales, por lo que se eliminará en WordPress 5.7.

Esto les da a los desarrolladores de complementos y temas tiempo suficiente para eliminar el código conflictivo y cambiar a wp.i18n”

Millones de sitios web afectados

La hoja de cálculo reveló la cantidad previamente desconocida de sitios que estaban dañados.

Inicialmente, se especuló que el impacto fue relativamente pequeño y limitado a miles de sitios web. Pero ese no fue el caso.

WordPress 5.5 afectó negativamente a millones de sitios web.

Es por eso que el 1ro de septiembre de 2020, se lanzó con urgencia un parche.

Algunos complementos ya están arreglados

No todos los complementos de la lista siguen dañados. Algunos han sido arreglados.

Entre los complementos afectados con millones de usuarios:

  • Paquete de widgets de SiteOrigin +1 millón de usuarios
  • Campos personalizados avanzados +1 millón de usuarios
  • Formulario de contacto de Ninja Forms: el creador de formularios de arrastrar y soltar para WordPress +1 millón de usuarios

Lista parcial de complementos afectados por WordPress 5.5

  • Complemento de galería de WordPress – Galería NextGEN
  • Polylang
  • Configurador de temas para niños
  • CSS y JS personalizados sencillos
  • Tipos de conjunto de herramientas: tipos de publicaciones personalizadas, campos personalizados y taxonomías
  • Max Mega Menú
  • WP AutoTerms: generador de políticas de privacidad, banner de aviso de cookies, generador de términos y condiciones
  • YITH Lista de deseos de WooCommerce
  • Océano Extra
  • Complemento de WordPress SEO – Matemáticas de clasificación
  • Meta Box – Marco de campos personalizados de WordPress
  • Hummingbird – Optimización de velocidad, caché, minimización y aplazamiento de CSS y JavaScript críticos
  • Vistas de contenido – Cuadrícula y lista de publicaciones para WordPress

Temas populares afectados por WordPress 5.5:

  • Astra +1 millón de usuarios
  • Escaparate +200.000 usuarios
  • Hestia +100.000 usuarios
  • Neve +100.000 usuarios
  • ColorMag +100.000 usuarios
  • Customizr
  • Hueman
  • Zakra

Hubo muchos más temas que se vieron afectados.

Actualice a WordPress a 5.5.1

Esta actualización de mantenimiento está diseñada para corregir una amplia gama de errores que se descubrieron después del lanzamiento de 5.5.

Para aquellos que revertieron sus sitios a una versión anterior de WordPress porque 5.5 estaba rompiendo sus sitios, esta es la versión que deberían descargar.

Los problemas que se descubrieron se han solucionado.

Citas

Anuncio oficial de WordPress de lo que salió mal

Globales JavaScript obsoletos: https://make.wordpress.org/core/2020/09/01/deprecated-javascript-globals/

Hoja de cálculo con lista completa de complementos y temas afectados: https://docs.google.com/spreadsheets/d/1Vho7hJR4DMRyns38xcUMvVUj8SBov_J8_X4a7zwpmzo/edit#gid=0

Lista de temas afectados por WordPress 5.5

https://wpdirectory.net/search/01EGTF335TMRA3GYQP50B4TKJQ
https://wpdirectory.net/search/01EGTFB0SAFN4ZDDG8E4K7544H

Fuente y foto: https://www.searchenginejournal.com/wordpress-5-5-1-maintenance-release/379486/